Bug 283991 - 2.6.20-1.2952-fc6 kernel oops
2.6.20-1.2952-fc6 kernel oops
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-09 09:20 EDT by Gerry Reno
Modified: 2009-01-09 02:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:14:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
modprobe listing (94.89 KB, text/plain)
2008-04-22 13:27 EDT, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2007-09-09 09:20:09 EDT
Description of problem:
kernels oops occurring quite often when using NFS

Version-Release number of selected component (if applicable):
2.6.20-1.2952-fc6

How reproducible:
almost every day during backups over NFS mounts

Steps to Reproduce:
1. setup NFS mounts
2. run backups over NFS
3. see kernel oops
  
Actual results:

Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: Oops: 0000 [#40]
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: SMP 
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: CPU:    0
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: EIP:    0060:[<c0480f07>]    Tainted: P      VLI
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: EFLAGS: 00010206   (2.6.20-1.2952.fc6 #1)
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: EIP is at __d_lookup+0xcb/0xee
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: eax: 000185ac   ebx: 7e65aea3   ecx: 00000011   edx: c2432200
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: esi: d18be378   edi: 10000000   ebp: d5eadf04   esp: d5eaddc4
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: ds: 007b   es: 007b   ss: 0068
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: Process tmpwatch (pid: 2904, ti=d5ead000 task=f255d390
task.ti=d5ead000)
Message from syslogd@ at Sat Sep  8 11:14:41 2007 ...
grp-01-20-01 kernel: Stack: d5eade3c c8144e28 0000001f 7e65aea3 e6b3e000
7e65aea3 d18be378 e6b3e000 
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:        d5eadf04 c0478672 d5eade48 d5eade3c d5eadf04
f7db3ba0 7e65aea3 d18be378 
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:        e6b3e000 d5eadf04 c047a3f1 e6b3e01f 00000000
00000000 00000001 d5eade9c 
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel: Call Trace:
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c0478672>] do_lookup+0x24/0x143
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c047a3f1>] __link_path_walk+0x7d8/0xc16
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c04c4beb>] inode_has_perm+0x5b/0x63
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c047a873>] link_path_walk+0x44/0xb3
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c047ab82>] do_path_lookup+0x17a/0x1ca
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c0479aa3>] getname+0x59/0xad
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c047b341>] __user_walk_fd+0x2f/0x40
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c047523b>] vfs_lstat_fd+0x16/0x3d
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c04752a7>] sys_lstat64+0xf/0x23
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c044db0d>] audit_syscall_entry+0x111/0x143
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c0406cf1>] do_syscall_trace+0xbb/0xc2
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  [<c0403f64>] syscall_call+0x7/0xb
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel:  =======================
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel: Code: f2 aa 06 00 85 c0 75 16 31 f6 f6 43 04 10 75 05 90 ff
03 89 de 89 e8 e8 15 f8 19 00 eb 26 89 e8 e8 0c f8 19 00 8b 3f 85 ff 74 17 <8b>
07 0f 18 00 90 8d 5f e4 8b 4c 24 0c 39 4b 28 75 e8 e9 71 ff 
Message from syslogd@ at Sat Sep  8 11:14:42 2007 ...
grp-01-20-01 kernel: EIP: [<c0480f07>] __d_lookup+0xcb/0xee SS:ESP 0068:d5eaddc4
You have new mail in /var/spool/mail/root
[root@grp-01-20-01 ~]# 
[root@grp-01-20-01 ~]# 
[root@grp-01-20-01 ~]# 
Message from syslogd@ at Sun Sep  9 01:25:01 2007 ...
grp-01-20-01 kernel: Oops: 0000 [#41]
Message from syslogd@ at Sun Sep  9 01:25:01 2007 ...
grp-01-20-01 kernel: SMP 
Message from syslogd@ at Sun Sep  9 01:25:01 2007 ...
grp-01-20-01 kernel: CPU:    0
Message from syslogd@ at Sun Sep  9 01:25:01 2007 ...
grp-01-20-01 kernel: EIP:    0060:[<c0480f07>]    Tainted: P      VLI
Message from syslogd@ at Sun Sep  9 01:25:01 2007 ...
grp-01-20-01 kernel: EFLAGS: 00010206   (2.6.20-1.2952.fc6 #1)
Message from syslogd@ at Sun Sep  9 01:25:01 2007 ...
grp-01-20-01 kernel: EIP is at __d_lookup+0xcb/0xee
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: eax: 000185ac   ebx: 0194c253   ecx: 00000011   edx: c2432200
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: esi: f4205c7c   edi: 10000000   ebp: d07e5f30   esp: d07e5d90
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: ds: 007b   es: 007b   ss: 0068
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: Process crond (pid: 25577, ti=d07e5000 task=f73eae70
task.ti=d07e5000)
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: Stack: d07e5e08 f2b39748 00000004 0194c253 ed21b01b
0194c253 f4205c7c ed21b01b 
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:        d07e5f30 c0478672 d07e5e14 d07e5e08 d07e5f30
f7db3aa0 0194c253 f4205c7c 
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:        ed21b01b d07e5f30 c047a3f1 ed21b01f 00000000
00000101 00000000 00000000 
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: Call Trace:
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0478672>] do_lookup+0x24/0x143
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c047a3f1>] __link_path_walk+0x7d8/0xc16
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c047a873>] link_path_walk+0x44/0xb3
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c062079d>] _spin_unlock_irq+0x5/0x7
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c061f151>] __sched_text_start+0x999/0xa21
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0470f27>] get_unused_fd+0xb3/0xbd
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c047ab82>] do_path_lookup+0x17a/0x1ca
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c047b4d5>] __path_lookup_intent_open+0x45/0x75
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c047b574>] path_lookup_open+0x20/0x25
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c047b658>] open_namei+0x6e/0x596
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0420a39>] __wake_up+0x32/0x43
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0471159>] do_filp_open+0x25/0x39
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c062079d>] _spin_unlock_irq+0x5/0x7
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c061f151>] __sched_text_start+0x999/0xa21
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0470f27>] get_unused_fd+0xb3/0xbd
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c04711af>] do_sys_open+0x42/0xbe
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0471264>] sys_open+0x1c/0x1e
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  [<c0403f64>] syscall_call+0x7/0xb
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel:  =======================
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: Code: f2 aa 06 00 85 c0 75 16 31 f6 f6 43 04 10 75 05 90 ff
03 89 de 89 e8 e8 15 f8 19 00 eb 26 89 e8 e8 0c f8 19 00 8b 3f 85 ff 74 17 <8b>
07 0f 18 00 90 8d 5f e4 8b 4c 24 0c 39 4b 28 75 e8 e9 71 ff 
Message from syslogd@ at Sun Sep  9 01:25:02 2007 ...
grp-01-20-01 kernel: EIP: [<c0480f07>] __d_lookup+0xcb/0xee SS:ESP 0068:d07e5d90


Expected results:
no oops

Additional info:
Comment 1 Chuck Ebbert 2007-09-10 19:08:49 EDT
Latest FC6 kernels are based on Linux 2.6.22, please try one of those.
Comment 2 Christopher Brown 2007-10-03 09:08:27 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Bug Zapper 2008-04-04 03:33:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Gerry Reno 2008-04-04 12:26:53 EDT
Please understand that we run F7/8 with a downgraded kernel because of the 
kernel (libata) support issues for HighPoint controllers.  See:  
https://bugzilla.redhat.com/show_bug.cgi?id=245627 and 
https://bugzilla.redhat.com/show_bug.cgi?id=426896.  The only kernel that will 
run for us on our systems with HighPoint controllers is the 2.6.20 kernel 
(pre-libata).  And yes, when we run F7/8 like this the NFS oops problem is 
still there.

Comment 5 Dave Jones 2008-04-04 12:41:53 EDT
does the nfs oops still occur on an untainted kernel ?
Comment 6 Gerry Reno 2008-04-21 13:18:52 EDT
we are using a stock kernel.  how would it be tainted?
Comment 7 Chuck Ebbert 2008-04-22 08:15:37 EDT
(In reply to comment #6)
> we are using a stock kernel.  how would it be tainted?
> 

grp-01-20-01 kernel: EIP:    0060:[<c0480f07>]    Tainted: P      VLI
                                                          ^^^

A prorietary driver is loaded.
Comment 8 Gerry Reno 2008-04-22 13:27:07 EDT
Created attachment 303345 [details]
modprobe listing

I attached a modprobe listing.	How can I tell which of these drivers is the
proprietary driver?
Comment 9 Chuck Ebbert 2008-04-23 23:15:28 EDT
Can you post the output of lsmod?
Comment 10 Gerry Reno 2008-04-24 16:27:22 EDT
Chuck, the modprobe was not for this machine.  I thought it was the other twin
machine but I had them backwards.
Anyway, here is where I think the taint problem is:
/lib/modules/2.6.20-1.2952.fc6/extra/kqemu.ko
/lib/modules/2.6.20-1.2952.fc6/updates/drivers/block/drbd.ko
/lib/modules/2.6.20-1.2952.fc6/misc/vmmon.ko
/lib/modules/2.6.20-1.2952.fc6/misc/vmnet.ko

This machine is the host machine for vmware and qemu guests.  The drbd driver is
no longer used.

What is the best way to unload these temporarily?  I don't want to mess up our
normal boot.

And here is lsmod:
[root@grp-01-20-01 tmp]# lsmod
Module                  Size  Used by
vfat                   16193  0 
fat                    53469  1 vfat
sr_mod                 20325  0 
sd_mod                 24257  0 
sg                     37213  0 
usb_storage            69121  0 
nfsd                  208305  5 
exportfs                9665  1 nfsd
nfs_acl                 7617  1 nfsd
autofs4                24261  2 
eeprom                 11217  0 
ppdev                  12741  0 
hidp                   23617  2 
rfcomm                 43865  0 
l2cap                  30657  10 hidp,rfcomm
bluetooth              57893  5 hidp,rfcomm,l2cap
vmnet                  43684  17 
vmmon                 107852  12 
lockd                  62665  1 nfsd
sunrpc                153597  7 nfsd,nfs_acl,lockd
nf_conntrack_netbios_ns     7104  0 
ipt_REDIRECT            6209  1 
iptable_nat            11461  1 
nf_nat                 21997  2 ipt_REDIRECT,iptable_nat
ipt_REJECT              8641  2 
ipt_recent             13017  2 
nf_conntrack_ipv4      21709  17 iptable_nat
xt_state                6593  15 
nf_conntrack           62409  5
nf_conntrack_netbios_ns,iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
nfnetlink              10841  3 nf_nat,nf_conntrack_ipv4,nf_conntrack
iptable_filter          7105  1 
ip_tables              16389  2 iptable_nat,iptable_filter
xt_tcpudp               7233  35 
ip6t_REJECT             9537  2 
ip6table_filter         6849  1 
ip6_tables             17541  1 ip6table_filter
x_tables               18757  9
ipt_REDIRECT,iptable_nat,ipt_REJECT,ipt_recent,xt_state,ip_tables,xt_tcpudp,ip6t_REJECT,ip6_tables
ib_iser                37037  0 
rdma_cm                29701  1 ib_iser
ib_cm                  34769  1 rdma_cm
iw_cm                  13381  1 rdma_cm
ib_sa                  18149  2 rdma_cm,ib_cm
ib_mad                 38369  2 ib_cm,ib_sa
ib_core                50881  6 ib_iser,rdma_cm,ib_cm,iw_cm,ib_sa,ib_mad
ib_addr                11845  1 rdma_cm
iscsi_tcp              26177  0 
libiscsi               27329  2 ib_iser,iscsi_tcp
scsi_transport_iscsi    30025  4 ib_iser,iscsi_tcp,libiscsi
scsi_mod              138477  8
sr_mod,sd_mod,sg,usb_storage,ib_iser,iscsi_tcp,libiscsi,scsi_transport_iscsi
hfsplus                77253  0 
dm_multipath           21833  0 
video                  19909  0 
sbs                    19073  0 
i2c_ec                  9025  1 sbs
dock                   13977  0 
button                 11857  0 
battery                13893  0 
asus_acpi              20445  0 
backlight              10177  1 asus_acpi
ac                      9157  0 
ipv6                  275969  39 ip6t_REJECT
lp                     16265  0 
loop                   20041  0 
ide_cd                 40673  1 
cdrom                  37345  2 sr_mod,ide_cd
serio_raw              10821  0 
amd76x_edac             8001  0 
pcspkr                  7233  0 
r8169                  33481  0 
edac_mc                25673  1 amd76x_edac
via686a                19273  0 
hwmon                   7493  1 via686a
i2c_isa                 9409  1 via686a
i2c_viapro             12629  0 
i2c_core               24897  5 eeprom,i2c_ec,via686a,i2c_isa,i2c_viapro
parport_pc             30053  1 
parport                38537  3 ppdev,lp,parport_pc
floppy                 58789  1 
dm_snapshot            20849  0 
dm_zero                 6209  0 
dm_mirror              25301  0 
dm_mod                 58253  11 dm_multipath,dm_snapshot,dm_zero,dm_mirror
raid456               123473  0 
xor                    18121  1 raid456
raid1                  26433  4 
ext3                  125641  3 
jbd                    60777  1 ext3
ehci_hcd               34125  0 
ohci_hcd               23493  0 
uhci_hcd               26705  0 


Gerry
Comment 11 Chuck Ebbert 2008-04-25 09:55:30 EDT
(In reply to comment #10)
> What is the best way to unload these temporarily?  I don't want to mess up our
> normal boot.
> 

The problem is that they can cause damage when loaded that is not undone after
unloading them, like scribbling over filesystem state. So the problem needs to
be reproduced with those modules never having been loaded since bootup.
Comment 12 Bug Zapper 2008-11-26 02:46:22 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:14:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.